Loading...
Searching...
No Matches
itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType > Class Template Reference

`#include <itkDistancePreservingRigidityPenaltyTerm.h>`

## Detailed Description

template<class TFixedImage, class TScalarType>
class itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >

Definition at line 76 of file itkDistancePreservingRigidityPenaltyTerm.h.

Inheritance diagram for itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >:
[legend]

## Public Types

using | BSplineKnotImagePointer = typename BSplineKnotImageType::Pointer
using | BSplineKnotImageRegionType = typename BSplineKnotImageType::RegionType
using | BSplineKnotImageType = Image<signed short, Self::MovingImageDimension>
using | BSplineTransformPointer = typename BSplineTransformType::Pointer
using | BSplineTransformType = AdvancedBSplineDeformableTransform<ScalarType, FixedImageDimension, 3>
using | CoefficientImagePointer = typename CoefficientImageType::Pointer
using | CoefficientImageSpacingType = typename CoefficientImageType::SpacingType
using | CoefficientImageType = typename BSplineTransformType::ImageType
using | CombinationTransformType = AdvancedCombinationTransform<ScalarType, FixedImageDimension>
using | ConstPointer = SmartPointer<const Self>
using | GridSpacingType = typename BSplineTransformType::SpacingType
using | PenaltyGridImagePointer = typename PenaltyGridImageType::Pointer
using | PenaltyGridImageRegionType = typename PenaltyGridImageType::RegionType
using | PenaltyGridImageType = Image<signed short, Self::MovingImageDimension>
using | Pointer = SmartPointer<Self>
using | SegmentedImagePointer = typename SegmentedImageType::Pointer
using | SegmentedImageRegionType = typename SegmentedImageType::RegionType
using | SegmentedImageType = Image<signed short, Self::MovingImageDimension>
using | Self = DistancePreservingRigidityPenaltyTerm
using | Superclass = TransformPenaltyTerm<TFixedImage, TScalarType>
Public Types inherited from itk::TransformPenaltyTerm< TFixedImage, TScalarType >
using | ConstPointer
using | InternalMatrixType
using | JacobianOfSpatialHessianType
using | JacobianOfSpatialJacobianType
using | Pointer
using | ScalarType
using | Self
using | SpatialHessianType
using | SpatialJacobianType
using | Superclass
using | TransformType
Public Types inherited from itk::AdvancedImageToImageMetric< TFixedImage, TFixedImage >
using | AdvancedTransformType
using | BSplineOrder1TransformPointer
using | BSplineOrder1TransformType
using | BSplineOrder2TransformPointer
using | BSplineOrder2TransformType
using | BSplineOrder3TransformPointer
using | BSplineOrder3TransformType
using | CombinationTransformType
using | ConstPointer
using | DerivativeValueType
using | FixedImageLimiterOutputType
using | FixedImageLimiterPointer
using | FixedImageLimiterType
using | FixedImageMaskConstPointer
using | FixedImageMaskPointer
using | FixedImageMaskType
using | FixedImagePixelType
using | FixedImagePointer
using | ImageSampleContainerPointer
using | ImageSampleContainerType
using | ImageSamplerPointer
using | ImageSamplerType
using | MovingImageDerivativeScalesType
using | MovingImageLimiterOutputType
using | MovingImageLimiterPointer
using | MovingImageLimiterType
using | MovingImageMaskConstPointer
using | MovingImageMaskPointer
using | MovingImageMaskType
using | MovingImagePointer
using | MovingImageRegionType
using | NumberOfParametersType
using | Pointer
using | ScalarType
using | Self
using | Superclass
using | ThreadInfoType

## Public Member Functions

virtual const char * | GetClassName () const
void | GetDerivative (const ParametersType &parameters, DerivativeType &derivative) const override
virtual unsigned int | GetNumberOfRigidGrids () const
MeasureType | GetValue (const ParametersType &parameters) const override
void | GetValueAndDerivative (const ParametersType &parameters, MeasureType &value, DerivativeType &derivative) const override
void | Initialize () override
| ITK_DISALLOW_COPY_AND_MOVE (DistancePreservingRigidityPenaltyTerm)
| itkGetModifiableObjectMacro (SampledSegmentedImage, SegmentedImageType)
| itkGetModifiableObjectMacro (SegmentedImage, SegmentedImageType)
| itkStaticConstMacro (FixedImageDimension, unsigned int, FixedImageType::ImageDimension)
| itkStaticConstMacro (ImageDimension, unsigned int, FixedImageType::ImageDimension)
| itkStaticConstMacro (MovingImageDimension, unsigned int, FixedImageType::ImageDimension)
virtual void | SetBSplineTransform (BSplineTransformType *_arg)
virtual void | SetSampledSegmentedImage (SegmentedImageType *_arg)
virtual void | SetSegmentedImage (SegmentedImageType *_arg)
Public Member Functions inherited from itk::TransformPenaltyTerm< TFixedImage, TScalarType >
| ITK_DISALLOW_COPY_AND_MOVE (TransformPenaltyTerm)
| itkStaticConstMacro (FixedImageDimension, unsigned int, FixedImageType::ImageDimension)
Public Member Functions inherited from itk::AdvancedImageToImageMetric< TFixedImage, TFixedImage >
virtual void | BeforeThreadedGetValueAndDerivative (const TransformParametersType &parameters) const
virtual const FixedImageLimiterType * | GetFixedImageLimiter ()
const FixedImageMaskType * | GetFixedImageMask () const override
virtual double | GetFixedLimitRangeRatio () const
ImageSamplerType * | GetImageSampler () const
virtual const MovingImageDerivativeScalesType & | GetMovingImageDerivativeScales ()
virtual const MovingImageLimiterType * | GetMovingImageLimiter ()
const MovingImageMaskType * | GetMovingImageMask () const override
virtual double | GetMovingLimitRangeRatio () const
virtual double | GetRequiredRatioOfValidSamples () const
virtual bool | GetScaleGradientWithRespectToMovingImageOrientation () const
const AdvancedTransformType * | GetTransform () const override
AdvancedTransformType * | GetTransform () override
virtual bool | GetUseFixedImageLimiter () const
virtual bool | GetUseImageSampler () const
virtual const bool & | GetUseMetricSingleThreaded ()
virtual bool | GetUseMovingImageDerivativeScales () const
virtual bool | GetUseMovingImageLimiter () const
virtual const bool & | GetUseMultiThread ()
void | Initialize () override
| ITK_DISALLOW_COPY_AND_MOVE (AdvancedImageToImageMetric)
| itkStaticConstMacro (FixedImageDimension, unsigned int, TFixedImage::ImageDimension)
| itkStaticConstMacro (MovingImageDimension, unsigned int, TFixedImage::ImageDimension)
virtual void | SetFixedImageLimiter (FixedImageLimiterType *_arg)
virtual void | SetFixedImageMask (const FixedImageMaskType *const arg)
virtual void | SetFixedLimitRangeRatio (double _arg)
virtual void | SetImageSampler (ImageSamplerType *_arg)
virtual void | SetMovingImageDerivativeScales (MovingImageDerivativeScalesType _arg)
virtual void | SetMovingImageLimiter (MovingImageLimiterType *_arg)
virtual void | SetMovingImageMask (const MovingImageMaskType *const arg)
virtual void | SetMovingLimitRangeRatio (double _arg)
virtual void | SetRequiredRatioOfValidSamples (double _arg)
virtual void | SetScaleGradientWithRespectToMovingImageOrientation (bool _arg)
virtual void | SetTransform (AdvancedTransformType *arg)
virtual void | SetUseMetricSingleThreaded (bool _arg)
virtual void | SetUseMovingImageDerivativeScales (bool _arg)
virtual void | SetUseMultiThread (bool _arg)
virtual void | UseMetricSingleThreadedOff ()
virtual void | UseMetricSingleThreadedOn ()
virtual void | UseMultiThreadOff ()
virtual void | UseMultiThreadOn ()

## Static Public Member Functions

static Pointer | New ()

## Protected Member Functions

| DistancePreservingRigidityPenaltyTerm ()
void | PrintSelf (std::ostream &os, Indent indent) const override
| ~DistancePreservingRigidityPenaltyTerm () override=default
Protected Member Functions inherited from itk::TransformPenaltyTerm< TFixedImage, TScalarType >
virtual bool | CheckForBSplineTransform2 (BSplineOrder3TransformPointer &bspline) const
| TransformPenaltyTerm ()=default
| ~TransformPenaltyTerm () override=default
Protected Member Functions inherited from itk::AdvancedImageToImageMetric< TFixedImage, TFixedImage >
| AdvancedImageToImageMetric ()
virtual void | AfterThreadedGetValue (MeasureType &) const
virtual void | AfterThreadedGetValueAndDerivative (MeasureType &, DerivativeType &) const
void | CheckForAdvancedTransform ()
void | CheckForBSplineInterpolator ()
void | CheckForBSplineTransform () const
void | CheckNumberOfSamples (unsigned long wanted, unsigned long found) const
virtual bool | EvaluateMovingImageValueAndDerivative (const MovingImagePointType &mappedPoint, RealType &movingImageValue, MovingImageDerivativeType *gradient) const
bool | EvaluateTransformJacobian (const FixedImagePointType &fixedImagePoint, TransformJacobianType &jacobian, NonZeroJacobianIndicesType &nzji) const
virtual void | EvaluateTransformJacobianInnerProduct (const TransformJacobianType &jacobian, const MovingImageDerivativeType &movingImageDerivative, DerivativeType &imageJacobian) const
bool | FastEvaluateMovingImageValueAndDerivative (const MovingImagePointType &mappedPoint, RealType &movingImageValue, MovingImageDerivativeType *gradient, const ThreadIdType threadId) const
virtual void | InitializeImageSampler ()
void | InitializeLimiters ()
virtual void | InitializeThreadingParameters () const
virtual bool | IsInsideMovingMask (const MovingImagePointType &point) const
| itkAlignedTypedef (ITK_CACHE_LINE_ALIGNMENT, PaddedGetValueAndDerivativePerThreadStruct, AlignedGetValueAndDerivativePerThreadStruct)
| itkPadStruct (ITK_CACHE_LINE_ALIGNMENT, GetValueAndDerivativePerThreadStruct, PaddedGetValueAndDerivativePerThreadStruct)
void | LaunchGetValueAndDerivativeThreaderCallback () const
void | LaunchGetValueThreaderCallback () const
void | PrintSelf (std::ostream &os, Indent indent) const override
void | SetFixedImageMask (const typename Superclass::FixedImageMaskType *) final
void | SetFixedImageMask (typename Superclass::FixedImageMaskType *) final
void | SetMovingImageMask (const typename Superclass::MovingImageMaskType *) final
void | SetMovingImageMask (typename Superclass::MovingImageMaskType *) final
virtual void | SetUseFixedImageLimiter (bool _arg)
virtual void | SetUseImageSampler (bool _arg)
virtual void | SetUseMovingImageLimiter (bool _arg)
virtual void | ThreadedGetValue (ThreadIdType) const
virtual void | ThreadedGetValueAndDerivative (ThreadIdType) const
MovingImagePointType | TransformPoint (const FixedImagePointType &fixedImagePoint) const
| ~AdvancedImageToImageMetric () override=default

## Private Attributes

BSplineKnotImagePointer | m_BSplineKnotImage {}
BSplineTransformPointer | m_BSplineTransform {}
unsigned int | m_NumberOfRigidGrids {}
PenaltyGridImagePointer | m_PenaltyGridImage {}
MeasureType | m_RigidityPenaltyTermValue {}
SegmentedImagePointer | m_SampledSegmentedImage {}
SegmentedImagePointer | m_SegmentedImage {}

## Additional Inherited Members

Protected Types inherited from itk::AdvancedImageToImageMetric< TFixedImage, TFixedImage >
using | BSplineInterpolatorFloatPointer
using | BSplineInterpolatorFloatType
using | BSplineInterpolatorPointer
using | BSplineInterpolatorType
using | FixedImageIndexType
using | FixedImageIndexValueType
using | FixedImagePointType
using | LinearInterpolatorPointer
using | LinearInterpolatorType
using | MovingImageContinuousIndexType
using | MovingImageDerivativeType
using | MovingImageIndexType
using | MovingImagePointType
using | NonZeroJacobianIndicesType
using | ReducedBSplineInterpolatorPointer
using | ReducedBSplineInterpolatorType
Static Protected Member Functions inherited from itk::AdvancedImageToImageMetric< TFixedImage, TFixedImage >
static ITK_THREAD_RETURN_FUNCTION_CALL_CONVENTION | AccumulateDerivativesThreaderCallback (void *arg)
static ITK_THREAD_RETURN_FUNCTION_CALL_CONVENTION | GetValueAndDerivativeThreaderCallback (void *arg)
static ITK_THREAD_RETURN_FUNCTION_CALL_CONVENTION | GetValueThreaderCallback (void *arg)
Protected Attributes inherited from itk::AdvancedImageToImageMetric< TFixedImage, TFixedImage >
AdvancedTransformType::Pointer | m_AdvancedTransform
FixedImageLimiterOutputType | m_FixedImageMaxLimit
FixedImageLimiterOutputType | m_FixedImageMinLimit
FixedImagePixelType | m_FixedImageTrueMax
FixedImagePixelType | m_FixedImageTrueMin
double | m_FixedLimitRangeRatio
std::unique_ptr< AlignedGetValueAndDerivativePerThreadStruct[]> | m_GetValueAndDerivativePerThreadVariables
ThreadIdType | m_GetValueAndDerivativePerThreadVariablesSize
ImageSamplerPointer | m_ImageSampler
MovingImageLimiterOutputType | m_MovingImageMaxLimit
MovingImageLimiterOutputType | m_MovingImageMinLimit
MovingImagePixelType | m_MovingImageTrueMax
MovingImagePixelType | m_MovingImageTrueMin
double | m_MovingLimitRangeRatio
MultiThreaderParameterType | m_ThreaderMetricParameters
bool | m_TransformIsBSpline
bool | m_UseMetricSingleThreaded
bool | m_UseMultiThread

## Member Typedef Documentation

## BSplineKnotImagePointer

template<class TFixedImage, class TScalarType>

using itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::BSplineKnotImagePointer = typename BSplineKnotImageType::Pointer

Definition at line 174 of file itkDistancePreservingRigidityPenaltyTerm.h.

## BSplineKnotImageRegionType

template<class TFixedImage, class TScalarType>

using itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::BSplineKnotImageRegionType = typename BSplineKnotImageType::RegionType

Definition at line 175 of file itkDistancePreservingRigidityPenaltyTerm.h.

## BSplineKnotImageType

template<class TFixedImage, class TScalarType>

using itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::BSplineKnotImageType = Image<signed short, Self::MovingImageDimension>

B-spline knot image

Definition at line 173 of file itkDistancePreservingRigidityPenaltyTerm.h.

## BSplineTransformPointer

template<class TFixedImage, class TScalarType>

using itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::BSplineTransformPointer = typename BSplineTransformType::Pointer

Definition at line 146 of file itkDistancePreservingRigidityPenaltyTerm.h.

## BSplineTransformType

template<class TFixedImage, class TScalarType>

using itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::BSplineTransformType = AdvancedBSplineDeformableTransform<ScalarType, FixedImageDimension, 3>

Typedef's for B-spline transform.

Definition at line 145 of file itkDistancePreservingRigidityPenaltyTerm.h.

## CoefficientImagePointer

template<class TFixedImage, class TScalarType>

using itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::CoefficientImagePointer = typename CoefficientImageType::Pointer

Definition at line 149 of file itkDistancePreservingRigidityPenaltyTerm.h.

## CoefficientImageSpacingType

template<class TFixedImage, class TScalarType>

using itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::CoefficientImageSpacingType = typename CoefficientImageType::SpacingType

Definition at line 150 of file itkDistancePreservingRigidityPenaltyTerm.h.

## CoefficientImageType

template<class TFixedImage, class TScalarType>

using itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::CoefficientImageType = typename BSplineTransformType::ImageType

Definition at line 148 of file itkDistancePreservingRigidityPenaltyTerm.h.

## CombinationTransformType

template<class TFixedImage, class TScalarType>

using itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::CombinationTransformType = AdvancedCombinationTransform<ScalarType, FixedImageDimension>

Definition at line 151 of file itkDistancePreservingRigidityPenaltyTerm.h.

## ConstPointer

template<class TFixedImage, class TScalarType>

using itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::ConstPointer = SmartPointer<const Self>

Definition at line 85 of file itkDistancePreservingRigidityPenaltyTerm.h.

## GridSpacingType

template<class TFixedImage, class TScalarType>

using itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::GridSpacingType = typename BSplineTransformType::SpacingType

Definition at line 147 of file itkDistancePreservingRigidityPenaltyTerm.h.

## PenaltyGridImagePointer

template<class TFixedImage, class TScalarType>

using itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::PenaltyGridImagePointer = typename PenaltyGridImageType::Pointer

Definition at line 179 of file itkDistancePreservingRigidityPenaltyTerm.h.

## PenaltyGridImageRegionType

template<class TFixedImage, class TScalarType>

using itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::PenaltyGridImageRegionType = typename PenaltyGridImageType::RegionType

Definition at line 180 of file itkDistancePreservingRigidityPenaltyTerm.h.

## PenaltyGridImageType

template<class TFixedImage, class TScalarType>

using itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::PenaltyGridImageType = Image<signed short, Self::MovingImageDimension>

penalty grid image

Definition at line 178 of file itkDistancePreservingRigidityPenaltyTerm.h.

## Pointer

template<class TFixedImage, class TScalarType>

using itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::Pointer = SmartPointer<Self>

Definition at line 84 of file itkDistancePreservingRigidityPenaltyTerm.h.

## SegmentedImagePointer

template<class TFixedImage, class TScalarType>

using itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::SegmentedImagePointer = typename SegmentedImageType::Pointer

Definition at line 184 of file itkDistancePreservingRigidityPenaltyTerm.h.

## SegmentedImageRegionType

template<class TFixedImage, class TScalarType>

using itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::SegmentedImageRegionType = typename SegmentedImageType::RegionType

Definition at line 185 of file itkDistancePreservingRigidityPenaltyTerm.h.

## SegmentedImageType

template<class TFixedImage, class TScalarType>

using itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::SegmentedImageType = Image<signed short, Self::MovingImageDimension>

Define the segmented image.

Definition at line 183 of file itkDistancePreservingRigidityPenaltyTerm.h.

## Self

template<class TFixedImage, class TScalarType>

using itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::Self = DistancePreservingRigidityPenaltyTerm

Standard itk stuff.

Definition at line 82 of file itkDistancePreservingRigidityPenaltyTerm.h.

## Superclass

template<class TFixedImage, class TScalarType>

using itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::Superclass = TransformPenaltyTerm<TFixedImage, TScalarType>

Definition at line 83 of file itkDistancePreservingRigidityPenaltyTerm.h.

## Constructor & Destructor Documentation

## DistancePreservingRigidityPenaltyTerm()

template<class TFixedImage, class TScalarType>

itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::DistancePreservingRigidityPenaltyTerm | ( |  | ) |

protected

The constructor.

## ~DistancePreservingRigidityPenaltyTerm()

template<class TFixedImage, class TScalarType>

itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::~DistancePreservingRigidityPenaltyTerm | ( |  | ) |

override protected default

The destructor.

## Member Function Documentation

## GetClassName()

template<class TFixedImage, class TScalarType>

virtual const char * itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

Reimplemented from itk::TransformPenaltyTerm< TFixedImage, TScalarType >.

Reimplemented in elastix::DistancePreservingRigidityPenalty< TElastix >.

## GetDerivative()

template<class TFixedImage, class TScalarType>

void itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::GetDerivative | ( | const ParametersType & | parameters,
|  | DerivativeType & | derivative ) const

override

The GetDerivative()-method returns the rigid penalty derivative.

## GetNumberOfRigidGrids()

template<class TFixedImage, class TScalarType>

virtual unsigned int itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::GetNumberOfRigidGrids | ( |  | ) | const

virtual

## GetValue()

template<class TFixedImage, class TScalarType>

MeasureType itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::GetValue | ( | const ParametersType & | parameters | ) | const

override

The GetValue()-method returns the rigid penalty value.

## GetValueAndDerivative()

template<class TFixedImage, class TScalarType>

void itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::GetValueAndDerivative | ( | const ParametersType & | parameters,
|  | MeasureType & | value,
|  | DerivativeType & | derivative ) const

override

The GetValueAndDerivative()-method returns the rigid penalty value and its derivative.

## Initialize()

template<class TFixedImage, class TScalarType>

void itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::Initialize | ( |  | ) |

override

Initialize the penalty term.

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TFixedImage, class TScalarType>

itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::ITK_DISALLOW_COPY_AND_MOVE | ( | DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType > |  | ) |

## itkGetModifiableObjectMacro() [1/2]

template<class TFixedImage, class TScalarType>

itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::itkGetModifiableObjectMacro | ( | SampledSegmentedImage | ,
|  | SegmentedImageType | )

Get the Sampled Segmented Image.

## itkGetModifiableObjectMacro() [2/2]

template<class TFixedImage, class TScalarType>

itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::itkGetModifiableObjectMacro | ( | SegmentedImage | ,
|  | SegmentedImageType | )

Get the Segmented Image.

## itkStaticConstMacro() [1/3]

template<class TFixedImage, class TScalarType>

itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::itkStaticConstMacro | ( | FixedImageDimension | ,
|  | unsigned int | ,
|  | FixedImageType::ImageDimension | )

Define the dimension.

## itkStaticConstMacro() [2/3]

template<class TFixedImage, class TScalarType>

itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::itkStaticConstMacro | ( | ImageDimension | ,
|  | unsigned int | ,
|  | FixedImageType::ImageDimension | )

## itkStaticConstMacro() [3/3]

template<class TFixedImage, class TScalarType>

itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::itkStaticConstMacro | ( | MovingImageDimension | ,
|  | unsigned int | ,
|  | FixedImageType::ImageDimension | )

## New()

template<class TFixedImage, class TScalarType>

Pointer itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::New | ( |  | ) |

static

Method for creation through the object factory.

## PrintSelf()

template<class TFixedImage, class TScalarType>

void itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::PrintSelf | ( | std::ostream & | os,
|  | Indent | indent ) const

override protected

PrintSelf.

## SetBSplineTransform()

template<class TFixedImage, class TScalarType>

virtual void itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::SetBSplineTransform | ( | BSplineTransformType * | _arg | ) |

virtual

Set the B-spline transform in this class. This class expects a BSplineTransform! It is not suited for others.

## SetSampledSegmentedImage()

template<class TFixedImage, class TScalarType>

virtual void itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::SetSampledSegmentedImage | ( | SegmentedImageType * | _arg | ) |

virtual

Connect the Sampled Segmented Image.

## SetSegmentedImage()

template<class TFixedImage, class TScalarType>

virtual void itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::SetSegmentedImage | ( | SegmentedImageType * | _arg | ) |

virtual

Connect the Segmented Image.

## Field Documentation

## m_BSplineKnotImage

template<class TFixedImage, class TScalarType>

BSplineKnotImagePointer itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::m_BSplineKnotImage {}

private

Definition at line 218 of file itkDistancePreservingRigidityPenaltyTerm.h.

## m_BSplineTransform

template<class TFixedImage, class TScalarType>

BSplineTransformPointer itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::m_BSplineTransform {}

private

Member variables.

Definition at line 214 of file itkDistancePreservingRigidityPenaltyTerm.h.

## m_NumberOfRigidGrids

template<class TFixedImage, class TScalarType>

unsigned int itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::m_NumberOfRigidGrids {}

private

Definition at line 223 of file itkDistancePreservingRigidityPenaltyTerm.h.

## m_PenaltyGridImage

template<class TFixedImage, class TScalarType>

PenaltyGridImagePointer itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::m_PenaltyGridImage {}

private

Definition at line 219 of file itkDistancePreservingRigidityPenaltyTerm.h.

## m_RigidityPenaltyTermValue

template<class TFixedImage, class TScalarType>

MeasureType itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::m_RigidityPenaltyTermValue {}

mutable private

Definition at line 216 of file itkDistancePreservingRigidityPenaltyTerm.h.

## m_SampledSegmentedImage

template<class TFixedImage, class TScalarType>

SegmentedImagePointer itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::m_SampledSegmentedImage {}

private

Definition at line 221 of file itkDistancePreservingRigidityPenaltyTerm.h.

## m_SegmentedImage

template<class TFixedImage, class TScalarType>

SegmentedImagePointer itk::DistancePreservingRigidityPenaltyTerm< TFixedImage, TScalarType >::m_SegmentedImage {}

private

Definition at line 220 of file itkDistancePreservingRigidityPenaltyTerm.h.

Generated on 1768596610 for elastix by 1.15.0 |